%%%----------------------------------------------------------------------
%%% File    : mod_message_log.erl
%%% Author  : olos
%%% Purpose : message/presence/iq logging for use in
%%%           corporate environments
%%% Created : 24 May 2005 by olos 
%%% Id      : $Id$
%%%----------------------------------------------------------------------

-module(mod_message_log).
-author('ol_os@iname.com').
-vsn('$Revision$ ').

-behaviour(gen_mod).

-export([start/1,
	 stop/0,
	 log_user_receive/4]).

-include("ejabberd.hrl").
-include("jlib.hrl").

start(_) ->
    ejabberd_hooks:add(user_receive_packet,
		       ?MODULE, log_user_receive, 50),
    ok.

stop() ->
    ejabberd_hooks:delete(user_receive_packet,
			  ?MODULE, log_user_receive, 50),
    ok.

log_user_receive(_JID, _From, _To, Packet) ->
    log_packet(Packet).

log_packet(Packet) ->
	{xmlelement, Name, _Attrs, _Els} = Packet,
	if 
		Name == "message" ->
	    		?INFO_MSG("~s~n", [xml:element_to_string(Packet)]);
		true -> 
            		false

	end.
    
